Bug 149519 - id issue on rhel4 x86_64
Summary: id issue on rhel4 x86_64
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-23 19:26 UTC by Van Okamura
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-02 09:30:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Van Okamura 2005-02-23 19:26:05 UTC
Description of problem:
*** TTRUONG  02/11/05 02:41 pm ***
When i logged in rhel4 x86_64 system as a NIS user, I got following error:

id: cannot find name for group ID 680

So I ran 'id' command, and got following info:

(ttruong) ttruong- id
uid=23314(ttruong) gid=680
groups=680,1326(adsrv),1330(adsrvpc),1459(dsgrp)
context=user_u:system_r:unconfined_t
(ttruong) ttruong-


Version-Release number of selected component (if applicable):
RHEL 4 GA on x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Van Okamura 2005-02-23 19:29:50 UTC
issue tracker 66760 logged

Comment 2 Tim Waugh 2005-02-25 11:53:16 UTC
'id -gn' is what will have produced the error.  The id output does not show a
group name for ID 680.

Is that a NIS group?

Comment 3 Greg Marsden 2005-02-25 18:38:26 UTC
Yes, it's NIS. If the group is local it works fine.


Comment 4 Jakub Jelinek 2005-03-30 15:05:22 UTC
Please attach output of
ltrace id
strace id
Are you using nscd?  If yes, can you reproduce it also without nscd
(service nscd stop)?



Note You need to log in before you can comment on or make changes to this bug.